# class RSS::Maker::RSS20::Items::Item::Source

### Public Instance Methods

to_feed(rss, item) click to toggle source

    # File lib/rss/maker/2.0.rb, line 148
    def to_feed(rss, item)
      source = Rss::Channel::Item::Source.new
      set = setup_values(source)
      if set
        item.source = source
        set_parent(source, item)
        setup_other_elements(rss, source)
      end
    end

### Private Instance Methods

required_variable_names() click to toggle source

    # File lib/rss/maker/2.0.rb, line 159
    def required_variable_names
      %w(url content)
    end